import { PlatformServiceName, } from '@limetech/lime-web-components';
import { EsignCommand } from 'src/commands/esign/esign.command';
import { EsignHandler } from 'src/commands/esign/esign.handler';
// NOTE: Do NOT remove this component, it is required to run the plugin correctly.
// However, if your plugin has any code that should run only once when the application
// starts, you are free to use the component lifecycle methods below to do so.
// The component should never render anything, so do NOT implement a render method.
export class Loader {
  connectedCallback() { }
  componentWillLoad() {
    const helloHandler = new EsignHandler(this.notificationService);
    this.commandBus.register(EsignCommand, helloHandler);
  }
  componentWillUpdate() { }
  disconnectedCallback() { }
  get notificationService() {
    return this.platform.get(PlatformServiceName.Notification);
  }
  get commandBus() {
    return this.platform.get(PlatformServiceName.CommandBus);
  }
  static get is() { return "lwc-limepkg-scrive-loader"; }
  static get encapsulation() { return "shadow"; }
  static get properties() {
    return {
      "platform": {
        "type": "unknown",
        "mutable": false,
        "complexType": {
          "original": "LimeWebComponentPlatform",
          "resolved": "LimeWebComponentPlatform",
          "references": {
            "LimeWebComponentPlatform": {
              "location": "import",
              "path": "@limetech/lime-web-components"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [{
              "name": "inherit",
              "text": undefined
            }],
          "text": "Reference to the platform"
        }
      },
      "context": {
        "type": "unknown",
        "mutable": false,
        "complexType": {
          "original": "LimeWebComponentContext",
          "resolved": "LimeWebComponentContext",
          "references": {
            "LimeWebComponentContext": {
              "location": "import",
              "path": "@limetech/lime-web-components"
            }
          }
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [{
              "name": "inherit",
              "text": undefined
            }],
          "text": "The context this component belongs to"
        }
      }
    };
  }
}
